uuid: 2357a7a2-a360-4140-99c7-685aa81063be
langcode: en
status: true
dependencies:
  module:
    - drutopia_comment
id: config_sync.module.drutopia_comment
snapshotSet: config_sync
extensionType: module
extensionName: drutopia_comment
items:
  -
    collection: ''
    name: comment.type.comment
    data:
      langcode: en
      status: true
      dependencies: {  }
      id: comment
      label: 'Default comments'
      target_entity_type_id: node
      description: 'Allows commenting on content'
      _core:
        default_config_hash: bqZsN31T2n0UjcbyCpOPi9D2iO0sAOHR7FnEs9qMvaA
  -
    collection: ''
    name: core.entity_form_display.comment.comment.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - comment.type.comment
          - field.field.comment.comment.comment_body
        module:
          - text
      id: comment.comment.default
      targetEntityType: comment
      bundle: comment
      mode: default
      content:
        author:
          weight: -2
          region: content
        comment_body:
          type: text_textarea
          weight: 11
          settings:
            rows: 5
            placeholder: ''
          third_party_settings: {  }
          region: content
        subject:
          type: string_textfield
          weight: 10
          settings:
            size: 60
            placeholder: ''
          third_party_settings: {  }
          region: content
      hidden: {  }
      _core:
        default_config_hash: i9gg03KbztdQ0LmR6WLr5smEj5TBKU12U2X8ZlSpKJA
  -
    collection: ''
    name: core.entity_view_display.comment.comment.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - comment.type.comment
          - field.field.comment.comment.comment_body
        module:
          - text
      id: comment.comment.default
      targetEntityType: comment
      bundle: comment
      mode: default
      content:
        comment_body:
          label: hidden
          type: text_default
          weight: 0
          settings: {  }
          third_party_settings: {  }
          region: content
        links:
          weight: 100
          region: content
      hidden:
        search_api_excerpt: true
      _core:
        default_config_hash: f0x0ePQCmvxjco4g7XRIUYd8t7rq3uUvhvzJqtnyStg
  -
    collection: ''
    name: field.field.comment.comment.comment_body
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - comment.type.comment
          - field.storage.comment.comment_body
        module:
          - text
      id: comment.comment.comment_body
      field_name: comment_body
      entity_type: comment
      bundle: comment
      label: Comment
      description: ''
      required: true
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings: {  }
      field_type: text_long
      _core:
        default_config_hash: TmAKjNrJ7RR60YpqvJq_QqEewYe_S8Kd23n8VRCqiWs
  -
    collection: ''
    name: field.storage.node.comment
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - comment
          - node
      id: node.comment
      field_name: comment
      entity_type: node
      type: comment
      settings:
        comment_type: comment
      module: comment
      locked: false
      cardinality: 1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
      _core:
        default_config_hash: ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc
  -
    collection: ''
    name: rdf.mapping.comment.comment
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - comment.type.comment
        module:
          - comment
      id: comment.comment
      targetEntityType: comment
      bundle: comment
      types:
        - 'schema:Comment'
      fieldMappings:
        subject:
          properties:
            - 'schema:name'
        created:
          properties:
            - 'schema:dateCreated'
          datatype_callback:
            callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
        changed:
          properties:
            - 'schema:dateModified'
          datatype_callback:
            callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
        comment_body:
          properties:
            - 'schema:text'
        uid:
          properties:
            - 'schema:author'
          mapping_type: rel
      _core:
        default_config_hash: uETe6XupRGKDForx2MpY0pMOEu6CzGgdCAZZOKkbgmk
